Debian Bug report logs - #496396
The possibility of attack with the help of symlinks in some Debian packages

version graph

Package: arb-common; Maintainer for arb-common is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for arb-common is src:arb.

Reported by: "Dmitry E. Oboukhov" <dimka@uvw.ru>

Date: Sun, 24 Aug 2008 18:10:38 UTC

Severity: grave

Tags: security

Fixed in version arb/0.0.20071207.1-5

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#496396; Package arb-common. Full text and rfc822 format available.

Acknowledgement sent to "Dmitry E. Oboukhov" <dimka@uvw.ru>:
New Bug report received and forwarded. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Dmitry E. Oboukhov" <dimka@uvw.ru>
To: submit@bugs.debian.org
Cc: dimka@uvw.ru
Subject: The possibility of attack with the help of symlinks in some Debian packages
Date: Sun, 24 Aug 2008 22:05:29 +0400
Package: arb-common
Severity: grave

Hi, maintainer!

This message about the error concerns a few packages  at  once.   I've
tested all the packages (for Lenny) on my Debian mirror.  All  scripts
of packages (marked as executable) were tested.

In some packages I've discovered scripts with errors which may be used
by a user for damaging important system files or user's files.

For example if a script uses in its work a temp file which is  created
in /tmp directory, then every user can create symlink  with  the  same
name in this directory in order to  destroy  or  rewrite  some  system
or user file.  Symlink attack may also  lead  not  only  to  the  data
desctruction but to denial of service as well.

Even if you create files or directories with help of function 'RANDOM'
or pid(), then your system is not protected. Attacker can create many
symlinks in order to destroy your data or create 'denial  of  service'
for your package scripts.

Even if you make rm(dir) for files/directories, then  your  system  is
not protected. Attacker can permanently create symlinks.

This list is created with the help of script.  This list is sorted  by
hand. Howewer in some cases mistake is possible.

Please, Be understanding to possible mistakes. :)

I set Severity into grave for this bug. The table of discovered
problems is below.

Discussion of this bug you can see in debian-devel@:
    http://lists.debian.org/debian-devel/2008/08/msg00271.html

Binary-package: r-base-core-ra (1.1.1-1)
    file: /usr/lib/Ra/lib/R/bin/javareconf
Binary-package: rccp (0.9-2)
    file: /usr/lib/rccp/delqueueask
Binary-package: mafft (6.240-1)
    file: /usr/bin/mafft-homologs
Binary-package: openoffice.org-common (1:2.4.1-6)
    file: /usr/lib/openoffice/program/senddoc
Binary-package: crossfire-maps (1.11.0-1)
    file: /usr/share/games/crossfire/maps/Info/combine.pl
Binary-package: sgml2x (1.0.0-11.1)
    file: /usr/bin/rlatex
Binary-package: liguidsoap (0.3.6-4)
    file: /var/lib/liguidsoap/liguidsoap.py
Binary-package: citadel-server (7.37-1)
    file: /usr/lib/citadel-server/migrate_aliases.sh
Binary-package: ampache (3.4.1-1)
    file: /usr/share/ampache/www/locale/base/gather-messages.sh
Binary-package: xen-utils-3.2-1 (3.2.1-2)
    file: /usr/lib/xen-3.2-1/bin/qemu-dm.debug
Binary-package: dtc-common (0.29.6-1)
    file: /usr/share/dtc/admin/accesslog.php
    file: /usr/share/dtc/admin/sa-wrapper
Binary-package: honeyd-common (1.5c-3)
    file: /usr/share/honeyd/scripts/test.sh
Binary-package: lustre-tests (1.6.5-1)
    file: /usr/lib/lustre/tests/runiozone
Binary-package: linuxtrade (3.65-8+b4)
    file: /usr/share/linuxtrade/bin/linuxtrade.bwkvol
    file: /usr/share/linuxtrade/bin/linuxtrade.wn
    file: /usr/share/linuxtrade/bin/moneyam.helper
Binary-package: freevo (1.8.1-0)
    file: /usr/bin/freevo.real
Binary-package: fml (4.0.3.dfsg-2)
    file: /usr/share/fml/libexec/mead.pl
Binary-package: rkhunter (1.3.2-3)
    file: /usr/bin/rkhunter
Binary-package: openswan (1:2.4.12+dfsg-1.1)
    file: /usr/lib/ipsec/livetest
Binary-package: linux-patch-openswan (1:2.4.12+dfsg-1.1)
    file: /usr/src/kernel-patches/all/openswan/packaging/utils/maysnap
    file: /usr/src/kernel-patches/all/openswan/packaging/utils/maytest
Binary-package: aptoncd (0.1-1.1)
    file: /usr/share/aptoncd/xmlfile.py
Binary-package: cdcontrol (1.90-1.1)
    file: /usr/lib/cdcontrol/writtercontrol
Binary-package: newsgate (1.6-23)
    file: /usr/bin/mkmailpost
Binary-package: gpsdrive-scripts (2.10~pre4-3)
    file: /usr/bin/geo-code
Binary-package: impose+ (0.2-11)
    file: /usr/bin/impose
Binary-package: mgt (2.31-5)
    file: /usr/games/mailgo
Binary-package: audiolink (0.05-1)
    file: /usr/bin/audiolink
Binary-package: ibackup (2.27-4.1)
    file: /usr/bin/ibackup
Binary-package: emacspeak (26.0-3)
    file: /usr/share/emacs/site-lisp/emacspeak/etc/extract-table.pl
Binary-package: bk2site (1:1.1.9-3.1)
    file: /usr/lib/cgi-bin/bk2site/redirect.pl
Binary-package: datafreedom-perl (0.1.7-1)
    file: /usr/bin/dfxml-invoice
Binary-package: emacs-jabber (0.7.91-1)
    file: /usr/lib/emacsen-common/packages/install/emacs-jabber
Binary-package: lmbench (3.0-a7-1)
    file: /usr/lib/lmbench/scripts/rccs
    file: /usr/lib/lmbench/scripts/STUFF
Binary-package: rancid-util (2.3.2~a8-1)
    file: /var/lib/rancid/getipacctg
Binary-package: ogle (0.9.2-5.2)
    file: /usr/lib/ogle/ogle_audio_debug
    file: /usr/lib/ogle/ogle_cli_debug
    file: /usr/lib/ogle/ogle_ctrl_debug
    file: /usr/lib/ogle/ogle_gui_debug
    file: /usr/lib/ogle/ogle_mpeg_ps_debug
    file: /usr/lib/ogle/ogle_mpeg_vs_debug
    file: /usr/lib/ogle/ogle_nav_debug
    file: /usr/lib/ogle/ogle_vout_debug
Binary-package: firehol (1.256-4)
    file: /sbin/firehol
Binary-package: aview (1.3.0rc1-8)
    file: /usr/bin/asciiview
Binary-package: radiance (3R9+20080530-3)
    file: /usr/bin/optics2rad
    file: /usr/bin/pdelta
    file: /usr/bin/dayfact
    file: /usr/bin/raddepend
Binary-package: vdr-dbg (1.6.0-5)
    file: /usr/bin/vdrleaktest
Binary-package: ogle-mmx (0.9.2-5.2)
    file: /usr/lib/ogle/ogle_audio_debug
    file: /usr/lib/ogle/ogle_cli_debug
    file: /usr/lib/ogle/ogle_ctrl_debug
    file: /usr/lib/ogle/ogle_gui_debug
    file: /usr/lib/ogle/ogle_mpeg_ps_debug
    file: /usr/lib/ogle/ogle_mpeg_vs_debug
    file: /usr/lib/ogle/ogle_nav_debug
    file: /usr/lib/ogle/ogle_vout_debug
Binary-package: convirt (0.8.2-3)
    file: /usr/share/convirt/image_store/_template_/provision.sh
    file: /usr/share/convirt/image_store/Linux_CD_Install/provision.sh
    file: /usr/share/convirt/image_store/Fedora_PV_Install/provision.sh
    file: /usr/share/convirt/image_store/CentOS_PV_Install/provision.sh
    file: /usr/share/convirt/image_store/common/provision.sh
    file: /usr/share/convirt/image_store/example/provision.sh
    file: /usr/share/convirt/image_store/Windows_CD_Install/provision.sh
Binary-package: printfilters-ppd (2.13-9)
    file: /usr/lib/printfilters/master-filter
Binary-package: r-base-core (2.7.1-1)
    file: /usr/lib/R/bin/javareconf
    file: /usr/lib/R/bin/javareconf.orig
Binary-package: xmcd (2.6-19.3)
    file: /usr/share/xmcd/scripts/ncsarmt
    file: /usr/share/xmcd/scripts/ncsawrap
Binary-package: tiger (1:3.2.2-3.1)
    file: /usr/lib/tiger/util/genmsgidx
Binary-package: scilab-bin (4.1.2-5)
    file: /usr/lib/scilab-4.1.2/bin/scilink
    file: /usr/lib/scilab-4.1.2/util/scidoc
    file: /usr/lib/scilab-4.1.2/util/scidem
Binary-package: dpkg-cross (2.3.0)
    file: /usr/share/dpkg-cross/bin/gccross
Binary-package: ltp-network-test (20060918-2.1)
    file: /usr/lib/debian-test/tests/linux/testcases/bin/ftp_setup_vsftp_conf
    file: /usr/lib/debian-test/tests/linux/testcases/bin/nfs_fsstress.sh
Binary-package: cman (2.20080629-1)
    file: /usr/sbin/fence_egenera
Binary-package: scratchbox2 (1.99.0.24-1)
    file: /usr/share/scratchbox2/scripts/dpkg-checkbuilddeps
    file: /usr/share/scratchbox2/scripts/sb2-check-pkg-mappings
Binary-package: sendmail-base (8.14.3-5)
    file: /usr/sbin/checksendmail
    file: /usr/bin/expn
Binary-package: fwbuilder (2.1.19-3)
    file: /usr/bin/fwb_install
Binary-package: sng (1.0.2-5)
    file: /usr/bin/sng_regress
Binary-package: dist (1:3.5-17-1)
    file: /usr/bin/patcil
    file: /usr/bin/patdiff
Binary-package: sympa (5.3.4-5)
    file: /usr/lib/cgi-bin/sympa/wwsympa.fcgi
    file: /usr/lib/sympa/bin/sympa.pl
Binary-package: postfix (2.5.2-2)
    file: /usr/lib/postfix_groups.pl
Binary-package: caudium (3:1.4.12-11)
    file: /usr/share/caudium/configvar
Binary-package: mgetty-fax (1.1.36-1.2)
    file: /usr/bin/faxspool
Binary-package: aegis (4.24-3)
    file: /usr/share/doc/aegis/examples/remind/bng_dvlpd.sh
    file: /usr/share/doc/aegis/examples/remind/bng_rvwd.sh
    file: /usr/share/doc/aegis/examples/remind/awt_dvlp.sh
    file: /usr/share/doc/aegis/examples/remind/awt_intgrtn.sh
Binary-package: aegis-web (4.24-3)
    file: /usr/lib/cgi-bin/aegis.cgi
Binary-package: digitaldj (0.7.5-6+b1)
    file: /usr/share/digitaldj/fest.pl
Binary-package: mon (0.99.2-12)
    file: /usr/lib/mon/alert.d/test.alert
Binary-package: feta (1.4.16)
    file: /usr/share/feta/plugins/to-upgrade
Binary-package: arb-common (0.0.20071207.1-4)
    file: /usr/lib/arb/SH/arb_fastdnaml
    file: /usr/lib/arb/SH/dszmconnect.pl
Binary-package: qemu (0.9.1-5)
    file: /usr/sbin/qemu-make-debian-root
Binary-package: apertium (3.0.7+1-1+b1)
    file: /usr/bin/apertium-gen-deformat
    file: /usr/bin/apertium-gen-reformat
    file: /usr/bin/apertium
Binary-package: xcal (4.1-18.3)
    file: /usr/bin/pscal
Binary-package: myspell-tools (1:3.1-20)
    file: /usr/bin/i2myspell
Binary-package: gccxml (0.9.0+cvs20080525-1)
    file: /usr/share/gccxml-0.9/MIPSpro/find_flags
Binary-package: freeradius-dialupadmin (2.0.4+dfsg-4)
    file: /usr/share/freeradius-dialupadmin/bin/backup_radacct
    file: /usr/share/freeradius-dialupadmin/bin/clean_radacct
    file: /usr/share/freeradius-dialupadmin/bin/monthly_tot_stats
    file: /usr/share/freeradius-dialupadmin/bin/tot_stats
    file: /usr/share/freeradius-dialupadmin/bin/truncate_radacct
Binary-package: dhis-server (5.3-1)
    file: /usr/lib/dhis-server/dhis-dummy-log-engine
Binary-package: wims (3.62-13)
    file: /var/lib/wims/public_html/bin/coqweb
    file: /var/lib/wims/bin/account.sh
Binary-package: initramfs-tools (0.92f)
    file: /usr/share/initramfs-tools/init
Binary-package: realtimebattle-common (1.0.8-7)
    file: /usr/lib/realtimebattle/Robots/perl.robot
Binary-package: netmrg (0.20-1)
    file: /usr/bin/rrdedit
Binary-package: bulmages-servers (0.11.1-2)
    file: /usr/share/bulmages/examples/scripts/actualizabulmacont
    file: /usr/share/bulmages/examples/scripts/installbulmages-db
    file: /usr/share/bulmages/examples/scripts/creabulmafact
    file: /usr/share/bulmages/examples/scripts/creabulmacont
    file: /usr/share/bulmages/examples/scripts/actualizabulmafact
Binary-package: xastir (1.9.2-1)
    file: /usr/lib/xastir/get-maptools.sh
    file: /usr/lib/xastir/get_shapelib.sh
Binary-package: plait (1.5.2-1)
    file: /usr/bin/plaiter
    file: /usr/bin/plait
Binary-package: cdrw-taper (0.4-2)
    file: /usr/sbin/amlabel-cdrw
Binary-package: konwert-filters (1.8-11.1)
    file: /usr/share/konwert/filters/any-UTF8
Binary-package: gdrae (0.1-1)
    file: /usr/bin/gdrae
Binary-package: lazarus-src (0.9.24-0-9)
    file: /usr/lib/lazarus/tools/install/create_lazarus_export_tgz.sh




Tags added: Request was from "Dmitry E. Oboukhov" <dimka@uvw.ru> to control@bugs.debian.org. (Tue, 26 Aug 2008 08:45:36 GMT) Full text and rfc822 format available.

Tags added: security Request was from "Dmitry E. Oboukhov" <dimka@uvw.ru> to control@bugs.debian.org. (Tue, 26 Aug 2008 08:57:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#496396; Package arb-common. (Mon, 22 Sep 2008 06:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 22 Sep 2008 06:39:02 GMT) Full text and rfc822 format available.

Message #14 received at 496396@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: 496396@bugs.debian.org
Cc: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, "Dmitry E. Oboukhov" <dimka@uvw.ru>
Subject: Re: The possibility of attack with the help of symlinks in some Debian packages
Date: Mon, 22 Sep 2008 08:36:22 +0200 (CEST)
Hi,

unfortunately I completely missed this bug because I had a "relaxing from
DebConf" vacation and it must somehow vanished from my mailbox - so sorry
for caring so late.

Now I had a look at Arb packaging and have to admit I do not really
understand which issue exactly fullfills the symlink attack problem.
Could you please be a little bit more specific (provide the output of
the script for arb) to enable us to fix this problem quickly?

Kind regards and thanks for your QA work

          Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#496396; Package arb-common. (Mon, 22 Sep 2008 15:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dmitry E. Oboukhov" <unera@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 22 Sep 2008 15:00:02 GMT) Full text and rfc822 format available.

Message #19 received at 496396@bugs.debian.org (full text, mbox):

From: "Dmitry E. Oboukhov" <unera@debian.org>
To: Andreas Tille <tillea@rki.de>
Cc: 496396@bugs.debian.org
Subject: Re: The possibility of attack with the help of symlinks in some Debian packages
Date: Mon, 22 Sep 2008 18:56:28 +0400
[Message part 1 (text/plain, inline)]
On 08:36 Mon 22 Sep     , Andreas Tille wrote:
> Hi,

> unfortunately I completely missed this bug because I had a "relaxing from
> DebConf" vacation and it must somehow vanished from my mailbox - so sorry
> for caring so late.

> Now I had a look at Arb packaging and have to admit I do not really
> understand which issue exactly fullfills the symlink attack problem.
> Could you please be a little bit more specific (provide the output of
> the script for arb) to enable us to fix this problem quickly?

> Kind regards and thanks for your QA work

look at full report: http://uvw.ru/report.lenny.txt

if attacker creates symlink /tmp/arb_fdnaml_${USER}_$$ or
	/tmp/arbdsmz.html then starting scripts 
	/usr/lib/arb/SH/arb_fastdnaml or
	/usr/lib/arb/SH/dszmconnect.pl will lead to data corrupt.

example for attacker script:

#!/usr/bin/perl
symlink '/tmp/arbdsmz.html', '/path/to/file';

for my $user (
	    map { 
	    	chomp;
	    	$_=[split ':', $_];
	    	[$_->[0], $_->[5]] 
	    } `cat /etc/passwd`
	)
{
	    symlink "$$user[1]/.gnupg/secring.gpg",
	            "/tmp/arb_fdnaml_$$user[0]_$_" for ($$ .. $$+1000000);
}

use mktemp (1) (with option -t) for create temp-files in bash-scripts.
use File::Temp module for create temp files in perl-scripts.

cut of report:

Package: arb-common
Version: 0.0.20071207.1-4
Filename: pool/non-free/a/arb/arb-common_0.0.20071207.1-4_all.deb


Found error in /usr/lib/arb/SH/arb_fastdnaml:
    $ grep -A5 -B5 /tmp/ /usr/lib/arb/SH/arb_fastdnaml
    #!/bin/sh
    tmp=/tmp/arb_fdnaml_${USER}_$$
    mv infile $tmp
    nice -19 $1 < $tmp &
    sig=$!
    /bin/echo "$sig $$ \c" >>/tmp/arb_pids_${USER}_${ARB_PID}
    wait
    # echo $tmp not deleted for debugging purposes
    rm -f $tmp
    rm -f checkpoint.$sig
    mv treefile.$sig treefile

Found error in /usr/lib/arb/SH/dszmconnect.pl:
    $ grep -A5 -B5 /tmp/ /usr/lib/arb/SH/dszmconnect.pl
      </body>
    </html>";
    
    
    
    open (OUTPUT , "> /tmp/arbdsmz.html") or die "cannot open input file /tmp/arbdsmz.html";
    
    if (scalar(@ARGV) == 0)
      {print OUTPUT $errordocument;
       die("no search items given ! Give at least one item!");}
    ##print length(@ARGV)."\n";
    --
     my $selection_content = 'VAR_DATABASE=bact&VAR_HITS=25&VAR_DSMZITEM='."$item1".'&VAR_DSMZITEM2='."$item2".'&B1=Search';
    
     $req_selection->content($selection_content);
    
     # Pass request to the user agent and get a response back
     my $res_selection = $ua_selection -> request($req_selection, '/tmp/arbdsmz.htm');
    
    
    
     # Check the outcome of the response
     if ($res_selection->is_success) {print $res_selection->content;} 
     else  {die "Bad luck this time, request failed\n";};
    
    
    open (INPUT , "< /tmp/arbdsmz.htm") or die "cannot open input file /tmp/arbdsmz.htm";
    
    
     my $htmlcontent;
    {
    local $/;
    --
    $htmlcontent =~ s{HREF="}{HREF="http://www.dsmz.de}igm;
    $htmlcontent =~ s{HREF=[^"]}{HREF=http://www.dsmz.de/}igm; ##"
    
    print OUTPUT $htmlcontent ;
    
    #exec ('netscape', '/tmp/arbdsmz.html');
    print "file:///tmp/arbdsmz.html";
    
    ##print "$htmlcontent\n";
--

. ''`. Dmitry E. Oboukhov
: :’  : unera@debian.org
`. `~’ GPGKey: 1024D / F8E26537 2006-11-21
  `- 1B23 D4F8 8EC0 D902 0555  E438 AB8C 00CF F8E2 6537
[signature.asc (application/pgp-signature, inline)]

Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Tue, 23 Sep 2008 14:00:05 GMT) Full text and rfc822 format available.

Notification sent to "Dmitry E. Oboukhov" <dimka@uvw.ru>:
Bug acknowledged by developer. (Tue, 23 Sep 2008 14:00:05 GMT) Full text and rfc822 format available.

Message #24 received at 496396-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 496396-close@bugs.debian.org
Subject: Bug#496396: fixed in arb 0.0.20071207.1-5
Date: Tue, 23 Sep 2008 13:32:04 +0000
Source: arb
Source-Version: 0.0.20071207.1-5

We believe that the bug you reported is fixed in the latest version of
arb, which is due to be installed in the Debian FTP archive:

arb-common_0.0.20071207.1-5_all.deb
  to pool/non-free/a/arb/arb-common_0.0.20071207.1-5_all.deb
arb-doc_0.0.20071207.1-5_all.deb
  to pool/non-free/a/arb/arb-doc_0.0.20071207.1-5_all.deb
arb_0.0.20071207.1-5.diff.gz
  to pool/non-free/a/arb/arb_0.0.20071207.1-5.diff.gz
arb_0.0.20071207.1-5.dsc
  to pool/non-free/a/arb/arb_0.0.20071207.1-5.dsc
arb_0.0.20071207.1-5_i386.deb
  to pool/non-free/a/arb/arb_0.0.20071207.1-5_i386.deb
libarb_0.0.20071207.1-5_i386.deb
  to pool/non-free/a/arb/libarb_0.0.20071207.1-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 496396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated arb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 23 Sep 2008 13:32:05 +0200
Source: arb
Binary: arb libarb arb-common arb-doc
Architecture: source all i386
Version: 0.0.20071207.1-5
Distribution: unstable
Urgency: low
Maintainer: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 arb        - Integrated package for sequence database handling and analysis
 arb-common - Integrated package for sequence database handling and analysis
 arb-doc    - Integrated package for sequence database handling and analysis
 libarb     - Integrated package for sequence database handling and analysis
Closes: 495650 496396
Changes: 
 arb (0.0.20071207.1-5) unstable; urgency=low
 .
   * Fix tempfile issues in upstream scripts
     Closes: #496396
   * Fix arb name server location in config file (Thanks to
     Felipe Figueiredo <philsf79@gmail.com>)
     Closes: #495650
   * arb-common.config: Make sure that config file will not fail
     when NIS is used
Checksums-Sha1: 
 8b4c756c06b06fe737214f5cdccda40ac47d5001 1597 arb_0.0.20071207.1-5.dsc
 979a5f299771b72bd0ea6c07762402ef3c2bcd86 30775 arb_0.0.20071207.1-5.diff.gz
 18ca5bc64411fe3688ec889099df28cba9844d18 5632810 arb-common_0.0.20071207.1-5_all.deb
 b47b711d8730a9a1b82baea9e95034346dfaf5c0 696932 arb-doc_0.0.20071207.1-5_all.deb
 c84bc01f1f9fe3ff2a1b54441b54ac4de597fa3c 2173290 arb_0.0.20071207.1-5_i386.deb
 765be07add29840ef60047795e174da5ed572b55 918516 libarb_0.0.20071207.1-5_i386.deb
Checksums-Sha256: 
 900a64f6dfd988b30cec9bad65d18dc49aa9baa56902f81d198cad890ff1e2df 1597 arb_0.0.20071207.1-5.dsc
 b6930ea35491bf183d1a5f76e80b695918d4bd0065e67b82c184e1cb7f91a644 30775 arb_0.0.20071207.1-5.diff.gz
 9c5bc5af01ee63ad1fad6f06e01789d103f0a92a568f2bddbc1a7375f6b3044e 5632810 arb-common_0.0.20071207.1-5_all.deb
 478afaa4788e853a50c5c7e9e54778c3f7c510b15d7550287acc39b1b6dabea1 696932 arb-doc_0.0.20071207.1-5_all.deb
 482956e5222f37e2c755ac8dc1bab754792de4939925ca156d26750199dcd78e 2173290 arb_0.0.20071207.1-5_i386.deb
 48722cc810968008d070a476e94de7ab4c39648ae178b774b17f4caa48654901 918516 libarb_0.0.20071207.1-5_i386.deb
Files: 
 3509b76f6e3abc77c375008944e499d4 1597 non-free/science extra arb_0.0.20071207.1-5.dsc
 4e2ac33d6e1708736eaf3a24ffe28dea 30775 non-free/science extra arb_0.0.20071207.1-5.diff.gz
 199fdf17dbb2e46ea263e55fcde0fc54 5632810 non-free/science extra arb-common_0.0.20071207.1-5_all.deb
 65931f11c28a14716f4b8ca488edcd5d 696932 non-free/science extra arb-doc_0.0.20071207.1-5_all.deb
 4042675abd0807fa79c308c87da520d1 2173290 non-free/science extra arb_0.0.20071207.1-5_i386.deb
 459f3db1066f6f8c0e361b2dc14eac8c 918516 non-free/science extra libarb_0.0.20071207.1-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFI2Ot9YDBbMcCf01oRAg5oAKDFG84k/Qa7aSJ8Eu8XZxxZHr2y1ACgu0tc
ypd/gSFzFCjUo59DxZRtGkQ=
=sR59
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Oct 2008 07:30:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:18:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.